{% extends "/default/default.twig" %}
{% block title %}Lista log{% endblock %}
{% block adding_css %}
    <link href="{{dirDefault}}/template/default/css/datatables.css" rel="stylesheet" type="text/css">
{% endblock %}

{% block wrapper %}
    <div class="row">
        <div class="col-md-12">
            <h1 class="titleHeader">Lista log</h1>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
            <div class="dataTable_wrapper">
                <table id="dataTables-log" class="table table-striped table-bordered table-hover table-responsive" width="100%">
                    <thead>
                        <tr>
                            <th>data_log</th>
                            <th>id_utente</th>
                            <th>nome</th>
                            <th>cognome</th>
                            <th>operazione</th>
                            <th>parametro</th>
                        </tr>
                    </thead>
                </table>
            </div>
        </div>
    </div>

{% endblock %}


{% block adding_js %}
    <!-- DataTables JavaScript -->
    <script src="{{dirDefault}}/ext_assets/startbootstrap-sb-admin-2-1.0.7/bower_components/datatables/media/js/jquery.dataTables.min.js"></script>
    <script src="{{dirDefault}}/ext_assets/startbootstrap-sb-admin-2-1.0.7/bower_components/datatables-plugins/integration/bootstrap/3/dataTables.bootstrap.min.js"></script>
    <script src="{{dirDefault}}/template/default/js/jquery.datatable.appConfig.js"></script>
    <script src="{{dirDefault}}/ext_assets/moment/moment.min.js"></script>
    <script>

        //FUNZIONI PER ORDINAMENTO DATE
        function strip(html) {
            var tmp = document.createElement("DIV");
            tmp.innerHTML = html;
            return tmp.textContent || tmp.innerText || "";
        }

        (function($) {

            $.fn.dataTable.moment = function ( format, locale ) {
                var types = $.fn.dataTable.ext.type;

                // Add type detection
                types.detect.unshift( function ( d ) {
                    // Null and empty values are acceptable
                    if ( d === '' || d === null ) {
                        return 'moment-'+format;
                    }

                    return moment( strip(d), format, locale, true ).isValid() ?
                    'moment-'+format :
                            null;
                } );

                // Add sorting method - use an integer for the sorting
                types.order[ 'moment-'+format+'-pre' ] = function ( d ) {
                    return d === '' || d === null ?
                            -Infinity :
                            parseInt( moment( strip(d), format, locale, true ).format( 'x' ), 10 );
                };
            };

        }(jQuery));
        /////
        $.fn.dataTable.moment('DD-MM-YYYY HH:mm:ss');
        $('#dataTables-log').DataTable( {
            processing: true,
            serverSide: true,
            ajax: {
                url: '{{dirDefault}}/log/load_lista',
                type: 'POST'
            },
            stateSave: false,
            columns: [
                {
                    "class":          "data_log",
                    "orderable":      true,
                    "data":           "data_log",
                    "defaultContent": ""
                },

                {
                    "class":          "id_utente",
                    "orderable":      true,
                    "data":           "id_utente",
                    "defaultContent": ""
                },
                {
                    "class":          "nome_utente",
                    "orderable":      true,
                    "data":           "nome_utente",
                    "defaultContent": ""
                },
                {
                    "class":          "cognome_utente",
                    "orderable":      true,
                    "data":           "cognome_utente",
                    "defaultContent": ""
                },
                {
                    "class":          "operazione",
                    "orderable":      true,
                    "data":           "operazione",
                    "defaultContent": ""
                },
                {
                    "class":          "parametro",
                    "orderable":      true,
                    "data":           "parametro",
                    "defaultContent": ""
                },
            ],
            order: [
                [1, 'asc'],
            ]
        });
</script>
{% endblock %}